This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 861169 - Multilib version problems found. This often means that the root
Multilib version problems found. This often means that the root
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 13:29 EDT by Jim Cromie
Modified: 2013-09-14 18:50 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-02 19:46:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jim Cromie 2012-09-27 13:29:04 EDT
Description of problem:

recent update of libstdc++ from 4.7.0 to 4.7.2 exposed a multilib related failure: Ive got both 32 bit and 64 bit installed, and automatic (tool assisted) update failed with:

libstdc++-devel-4.7.0-5.fc17.i686 requires libstdc++(x86-32) = 4.7.0-5.fc17 :  Multilib version problems found. This often means that the root
Version-Release number of selected component (if applicable):


How reproducible:

Every time I try - (I havent bothered to fix manually, to preserve the test-case)

Steps to Reproduce:
1. Menu->System-Tools->Software-Update
2. Apply
3.
  
Actual results:

error shown above

Expected results:

out-of-date 32bit package would be added to update-set before running transaction.

Additional info:

with Add/Remove software, Ive verified availability of 4.7.2 32bit version thats not getting added into the update-group.
Comment 1 Jim Cromie 2012-09-27 13:31:26 EDT
also - error message truncated in popup - dangling sentence is not cut-paste error (other than missing blank line for clarity)

here it is again:

libstdc++-devel-4.7.0-5.fc17.i686 requires libstdc++(x86-32) = 4.7.0-5.fc17 :  Multilib version problems found. This often means that the root
Comment 2 collura 2012-10-09 22:27:08 EDT
for what its worth i had this error and a similar multilib error another time with dbus.

at some point: 

  yum check
  yum distro-sync

seemed to do the trick if i read my tealeaves correctly.
Comment 3 Rex Dieter 2013-02-02 19:46:13 EST
yes, yum distro-sync is the usual fix for this kind of issue (someday when it's more well tested, perhaps that's what packagekit could default to doing instead of "update", but that's another discussion).

regardless, the source of the problem as reported here isn't really a PK one (and a workaround exists as mentioned), so... closing.
Comment 4 Alexsandro 2013-09-14 18:50:01 EDT
I have a similar problem. Every time I try to upgrade my system either by yum or the apper me the following message is displayed:

1: java-1.7.0-openjdk-1.7.0.60-2.4.2.0.fc18.x86_64 requires libgif.so.4 () (64bit)
6: kdelibs-4.10.5-1.fc18.x86_64 requires libgif.so.4 () (64bit)
tracker-0.14.5-2.fc18.x86_64 requires libgif.so.4 () (64bit) version multilib problems found. This often Do que means the root

Note You need to log in before you can comment on or make changes to this bug.